Subject: Re: Re: [MSEC] any overwhelming advantages of distributed key generation?

From: "QinKe" <[email-masked]>
Date: Fri, 16 Sep 2005 22:20:45 +0800

George Gross:

Thank you for your reply. I have not a concrete application. What I am thinking is that the group DH key agreement has a high computational cost. I am doing some research on group key agreement now. But previously, I have not seen too much overwhelming advantages of distributed key generation.   
				 
　　　　　　　　      QinKe
　　　　　　　　[email-masked]
　　　　　　　　　　2005-09-16

>Hi,
>
>A distributed key generation algorithm is best suited for small-scale
>groups that have nodes with enough computational resources for group
>Diffie-Hellman key agreement and enough memory to store state information
>about all of the group's members. There also has to be a trusted mechanism
>to announce the membership join/leave events and the DH public keys.
>
>In contrast, large-scale groups usually have a central trusted group key
>server.
>
>the answer to your question is really dependent on your secure multicast
>application's requirements.
>
>what is your application?
>
>hth,
>	George
>
>On Thu, 15 Sep 2005, QinKe wrote:
>
>> Dear folks:
>>
>> 	I’d like to know, are there any overwhelming advantages of distributed key generation? In other words, is it necessary that all users can take part in key generation?
>>  	Thank you for your reply in advance!
>>
>>
>> 　　　　　　　　QinKe
>> 　　　　　　　　[email-masked]
>> 　　　　　　　　　　2005-09-15
>>

_______________________________________________
msec mailing list
[email-masked]
http://six.pairlist.net/mailman/listinfo/msec